"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _1 = require(".");
class User extends _1.Model {
    static get tableName() {
        return 'users';
    }
    static async findOrCreateByGoogleId(googleId) {
        const existingUser = await User.query().select('*').where({ googleId }).first();
        if (existingUser) {
            return existingUser;
        }
        const newUser = await User.query().insert({ googleId });
        return newUser;
    }
}
exports.default = User;
//# sourceMappingURL=user.js.map